
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: A fast metadata parser for yum
Name: yum-metadata-parser
Version: 1.1.4
Release: 1
License: GPLv2
Group: Development/Libraries
URL: http://linux.duke.edu/projects/yum/
Source0: http://linux.duke.edu/projects/yum/download/%{name}/%{name}-%{version}.tar.gz
Source1: https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0: BZ-612409-handle-2GB-rpms.patch
Patch1: UPSTREAM-py-3-split.patch
Patch2: UPSTREAM-weak-deps.patch
Patch3: UPSTREAM-index-weak-deps.patch
Patch4: UPSTREAM-fix-minor-mem-leak.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch
BuildRequires: glib2-devel >= 2.34.3-1
BuildRequires: libxml2-devel >= 2.9.4-1
BuildRequires: pkg-config
BuildRequires: python-devel >= 2.7.13-1
BuildRequires: sqlite-devel >= 3.16.2-1
Requires:      glib2 >= 2.34.3-1
Requires:      libxml2 >= 2.9.4-1
Requires:      python >= 2.7.13-1
Requires:      sqlite >= 3.16.2-1

%ifos aix5.1 || %ifos aix5.2 || %ifos aix5.3
Requires: AIX-rpm >= 5.1.0.50
Requires: AIX-rpm < 5.4.0.0
%endif

%ifos aix6.1 || %ifos aix7.1 || %ifos aix7.2
Requires: AIX-rpm >= 6.1.1.0
%endif

%define _libdir64 %{_prefix}/lib64

%description
Fast metadata parser for yum implemented in C.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp %{SOURCE1} .

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CC="xlc_r -D_LINUX_SOURCE_COMPAT"

cd 64bit
export OBJECT_MODE=64
export LDFLAGS="-L%{_libdir64} -L%{_libdir} -Wl,-blibpath:%{_libdir64}:%{_libdir}:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
python_64 setup.py build

cd ../32bit
export OBJECT_MODE=32
export LDFLAGS="-L%{_libdir} -Wl,-blibpath:%{_libdir}:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/README 32bit/AUTHORS 32bit/ChangeLog
%{python_sitelib}/*
%{python_sitelib64}/*


%changelog
* Wed Feb 01 2017 Michael Perzl <michael@perzl.org> - 1.1.4-1
- first version for AIX V5.1 and higher
